Package Details: guitarix-git 0.36.1.r16.g51ba3d2b-1

Git Clone URL: https://aur.archlinux.org/guitarix-git.git (read-only)
Package Base: guitarix-git
Description: A virtual guitar amplifier for Linux
Upstream URL: http://guitarix.sourceforge.net
Keywords: amplifier emulation guitar lv2 pro-audio tube
Licenses: GPL
Conflicts: guitarix, guitarix2, gx_head
Provides: guitarix, guitarix2, gx_head
Submitter: None
Maintainer: Gimmeapill
Last Packager: Gimmeapill
Votes: 11
Popularity: 0.000014
First Submitted: 2012-04-13 09:51
Last Updated: 2018-01-25 20:11

Pinned Comments

Gimmeapill commented on 2017-12-03 20:10

This package will automatically retrieve and build the latest development snapshot of Guitarix from git.

It does not need to be updated on every release, so please do not flag out of date unless the build itself breaks or in case of an actual packaging issue.

If you are looking for the latest official release instead, see https://www.archlinux.org/packages/community/x86_64/guitarix2/

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Gimmeapill commented on 2016-01-03 15:25

Adopted (by default).
@funkmuscle: If you want to take over or co-maintain, just let me know

sekret commented on 2015-12-21 10:49

Disowned, because I don't really use it ... It still builds fine! :)

funkmuscle commented on 2015-04-07 18:07

@sekret, no problem. Figured you're quite busy. Thanx. I'll let him know it's done.

sekret commented on 2015-04-06 08:38

Sorry for the delay and thanks for the message!

I'll include those flags, but I really must wonder, why they aren't set by default, if they are so heavily suggested ...

funkmuscle commented on 2015-04-03 03:53

@sekret, Hermann, the Guitarix dev asked me to tell you to do this. (in his words):

You should really, really add the flags

--includeresampler

--convolver-ffmpeg

to your build script as well. It is heavy suggested!!!
The best solution will be, when the AUR maintainer add them by default!!
If you ever contact him, please suggest it to him.
This flags helps to work around the fftw pan create issue for LV2 plugs.

And, you didn't need the flag

--shared-lib

it is enabled anyway, when the flag --no-lv2 is not set.

regards

sekret commented on 2014-01-18 14:30

You could have adopted the package and updated it yourself. For now I'll try to maintain it.

@all, please comment here for any kinds of problems. And if there's someone out there who wants to adopt it, please just tell me and I'll give it to you right away.

JazzyEagle commented on 2014-01-18 14:26

Hello -

I tried installing this morning, and the build failed due to not having eigen3 or gperf on my system. Once I installed those, guitarix compiled fine. I think those needed to be added as required dependencies.

Thanks.

Anonymous comment on 2013-06-30 11:34

Works fine for me. Please try it not using yaourt, but manually call makepkg.

frat commented on 2013-06-30 10:23

can not build properly.

Waf: Leaving directory `/tmp/yaourt-tmp-david/aur-guitarix-git/src/guitarix/trunk/build'
Build failed:
-> task failed (err #1):
{task: cxx tunerswitcher.cpp -> tunerswitcher.o}
-> task failed (err #1):
{task: cxx gx_pluginloader.cpp -> gx_pluginloader.o}
-> task failed (err #1):
{task: cxx ladspaback.cpp -> ladspaback.o}
-> task failed (err #1):
{task: cxx ladspaplugin.cpp -> ladspaplugin.o}

Anonymous comment on 2013-04-13 18:49

or http://signalsaudio.com/site/gods-cab/